## kdeplasma-addons 4.7.2

=== debian/changelog ===
kdeplasma-addons (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update build depends:
    - Bump kde-sc-dev-latest build dependency to 4:4.7.2.
    - Bump the rest of the KDE SC build depends to 4:4.7.
  * Update installed files.

  [ Eshat Cakar ]
  * Add myself to uploaders

  [ Pino Toscano ]
  * Improve descriptions of plasma-widgets-addons, plasma-runners-addons,
    and plasma-wallpapers-addons listing all the plugins contained in each.
  * Manage some packages renamings:
    - Build depend on kde-workspace-dev instead of kdebase-workspace-dev.
    - kdeplasma-addons-dbg depends on kde-workspace-dbg instead of
      kdebase-workspace-dbg. (Closes: #649963)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:51 -0300

=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7), kde-workspace-dev (>= 4:4.7),
 libkexiv2-dev (>= 4:4.7), libmarble-dev (>= 4:4.7),
 libqt4-opengl-dev, libboost-dev, libqimageblitz-dev, libeigen2-dev, libxrender-dev,
 shared-desktop-ontologies, libattica-dev, libscim-dev, libxtst-dev, libqalculate-dev,
 libqca2-dev, libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://plasma.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeplasma-addons.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: ${misc:Depends}, plasma-widgets-addons (>= ${source:Version}),
 plasma-runners-addons (>= ${source:Version}),
 plasma-widget-lancelot (>= ${source:Version}),
 plasma-wallpapers-addons (>= ${source:Version}),
 plasma-containments-addons (>= ${source:Version})
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}),
Recommends: plasma-widget-lancelot
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Binary Clock
  * Black Board
  * Bookmarks
  * Bouncy Ball
  * Bubblemon
  * Calculator
  * Character Selector
  * Color Picker
  * Comic Strip
  * Dictionary
  * Eyes
  * Fifteen Puzzle
  * File Watcher
  * Fuzzy Clock
  * Incoming Message
  * Input Method Panel
  * Knowledge Base
  * Konqueror Profiles
  * Konsole Profile
  * LCD Weather Station
  * Leave a Note
  * Life
  * Luna
  * Magnifique
  * Media Player
  * Microblogging
  * News
  * Notes
  * Now Playing
  * OpenDesktop.org Community
  * OpenDesktop.org Social News
  * Paste
  * Pastebin
  * Picture Frame
  * Plasmaboard
  * Previewer
  * Qalculate!
  * Remember The Milk
  * RSSNOW
  * Show Widget Dashboard
  * Show Desktop
  * Spell Check
  * System Load Viewer
  * Timer
  * Unit Converter
  * Weather Forecast
  * Web Slice
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-containments-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional containment plugins for Plasma
 This package contains additional Plasma containment plugins. These plugins
 allow the user to layout Plasma widgets in groups.
 .
 Plasma widgets can be added to a group dropping them from the Add Widgets
 Explorer or moving them over the group. If it is necessary (like in the grid
 group) a drop zone will be shown (like the one in the panel).
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some plasma widgets
 Plasma widgets, but they may be useful for any other Plasma widget too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Audio Player Control
  * Calendar Events
  * Contacts
  * Date and Time
  * Kate Sessions
  * KDE TechBase
  * KDE Userbase Documentation
  * Konqueror Sessions
  * Konsole Sessions
  * Kopete Contacts
  * Special Characters
  * Spell Checker
  * Unit Converter
  * Web Browser History
  * Wikipedia
  * Wikitravel
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in 
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Globe (Marble)
  * Mandelbrot
  * Pattern
  * Virus
  * Weather
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-applet-lancelot
Conflicts: plasma-applet-lancelot
Description: lancelot widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, plasma-widgets-addons (= ${binary:Version}), plasma-dataengines-addons (= ${binary:Version}),
 plasma-runners-addons (= ${binary:Version}), plasma-widget-lancelot (= ${binary:Version}),
 plasma-wallpapers-addons (= ${binary:Version}), kde-workspace-dbg
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.

## kdeplasma-addons 4.7.4

=== debian/changelog ===
kdeplasma-addons (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Update uploaders, remove Armin.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 11:25:47 +0100

kdeplasma-addons (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:40:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7), kde-workspace-dev (>= 4:4.7),
  libkexiv2-dev (>= 4:4.7), libmarble-dev (>= 4:4.7),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdeplasma-addons-dbg

override_dh_auto_clean:
	$(overridden_command)
	find applets/lancelot/tools/puck -name *.pyc -delete

## kdeplasma-addons 4.8.2

=== debian/changelog ===
kdeplasma-addons (4:4.8.2-0ubuntu3) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:03 +0100

kdeplasma-addons (4:4.8.2-0ubuntu2) precise; urgency=low

  * Support the FD.o desktop file actions in the icon tasks applet.
    The X-Ayatana specification has been deprecated.
    - Add kubuntu_support_new_fdo_desktop_actions.diff

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 10 Apr 2012 10:58:17 +0200

kdeplasma-addons (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 22:32:52 +0200

kdeplasma-addons (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 
  * plasma-widgets-addons breaks/replaces plasma-widget-icon-tasks

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 23:00:13 +0100

kdeplasma-addons (4:4.8.0-0ubuntu2) precise; urgency=low

  * plasma-widget-kimpanel conflicts/replaces
    plasma-widget-kimpanel-backend-ibus since the latter doesn't exist
    anymore.
  * Add ${misc:Depends} to all packages where it was missing.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 27 Jan 2012 14:36:13 +0100

kdeplasma-addons (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * really remove kdeobservatory files from other packages
  * plasma-widgets-addons replaces/breaks plasma-engine-kdeobservatory
  * plasma-engine-kdeobservatory replaces/breaks old plasma-widgets-addons

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Jan 2012 12:47:23 +0000

kdeplasma-addons (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Remove kubuntu_fix_qreal_float.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:21 +0000

kdeplasma-addons (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - update plasma-widgets-addons.install
  
  [ Scott Kitterman ]
  * Fix Vcs-* headers to match current Kubuntu branches

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:35:24 +0100

kdeplasma-addons (4:4.7.90-0ubuntu2) precise; urgency=low

  * Fix lintian warning description-contains-duplicated-word.
  * Drop all kubuntu patches that were commented out.
  * Fix FTBFS on arm* due to qreal/double mismatch.
    - Add kubuntu_fix_qreal_float.diff.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 23 Dec 2011 17:57:06 +0100

kdeplasma-addons (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release
  * Remove kubuntu_04_kimpanel_disable_scim.diff now scim applet has gone
  * Remove ibus bits from debian/rules
  * Remove kimpanel packages
  * Add build-dep on libdbusmenu-qt-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:52 +0000

kdeplasma-addons (4:4.7.3-0ubuntu3) precise; urgency=low

  * Add build-dep on shared-mime-info, also needed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2011 02:56:46 +0000

kdeplasma-addons (4:4.7.3-0ubuntu2) precise; urgency=low

  * Add back build-dep on libglib2.0-dev, needed by libqalculate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2011 02:43:54 +0000

kdeplasma-addons (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge from debian. Remaining changes:
    - Keep our patch
    - Add debian/xinput folder
    - Build plasma-widget-kdeobservatory, plasma-widget-kimpanel,
      plasma-widget-kimpanel-backend-ibus
    - Keep rules to install plasma-widget-kimpanel-backend-ibus
    - plasma-wallpapers-addons depends on plasma-dataengines-workspace,
      kde-wallpapers
    - Add plasma-widget-kimpanel-backend-ibus.{install, postinst, prerm}
    - Don't install kimpanel in plasma-widget-addons.install
    - Build against libboost1.46-dev
    - plasma-dataengines-addons replaces kdeplasma-addons (<< 4:4.4.60) and
      plasma-widgets-addons (<< 4:4.4.60)
    - plasma-widgets-addons suggests plasma-widget-lancelot instead of
      recommends
    - plasma-widgets-addons Breaks/Replaces plasma-widget-system-status
    - Do not build-dep on libscim-dev
    - Add build-dep on libqwt-dev
    - kubuntu_04_kimpanel_disable_scim.diff to build kimpanel without scim
  * Drop build-depends on shared-mime-info, libglib2.0-dev, unused
  * kdeplasma-addons-dbg dependency kdebase-workspace-dbg -> kde-workspace-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:45 +0000

kdeplasma-addons (4:4.7.2-0r0) UNRELEASED; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update build depends:
    - Bump kde-sc-dev-latest build dependency to 4:4.7.2.
    - Bump the rest of the KDE SC build depends to 4:4.7.
  * Update installed files.
  
  [ Eshat Cakar ]
  * Add myself to uploaders

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 Oct 2011 00:17:34 +0200

kdeplasma-addons (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Oct 2011 10:20:33 +0200

=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), kde-workspace-dev (>= 4:4.8.1),
 libkexiv2-dev (>= 4:4.8.1), libmarble-dev (>= 4:4.8.1),
 libqt4-opengl-dev, libboost1.46-dev, libqimageblitz-dev, libeigen2-dev, libxrender-dev,
 shared-desktop-ontologies, libattica-dev, libxtst-dev, libqalculate-dev,
 libqca2-dev, libqtwebkit-dev, libqwt-dev, libglib2.0-dev, shared-mime-info,
 libdbusmenu-qt-dev
Standards-Version: 3.9.2
Homepage: http://plasma.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeplasma-addons.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: ${misc:Depends}, plasma-widgets-addons (>= ${source:Version}),
 plasma-runners-addons (>= ${source:Version}),
 plasma-widget-lancelot (>= ${source:Version}),
 plasma-wallpapers-addons (>= ${source:Version}),
 plasma-containments-addons (>= ${source:Version})
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}),
Suggests: plasma-widget-lancelot
Replaces: plasma-widget-system-status, plasma-engine-kdeobservatory (<< 4.8.0),
 plasma-widget-icon-tasks
Breaks: plasma-widget-system-status, plasma-engine-kdeobservatory (<< 4.8.0),
 plasma-widget-icon-tasks
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-containments-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional containment plugins for Plasma
 This package contains additional Plasma containment plugins. These plugins
 allow the user to layout Plasma widgets in groups.
 .
 Plasma widgets can be added to a group dropping them from the Add Widgets
 Explorer or moving them over the group. If it is necessary (like in the grid
 group) a drop zone will be shown (like the one in the panel).
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<< 4:4.4.60), plasma-widgets-addons (<< 4:4.4.60)
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some plasma widgets
 Plasma widgets, but they may be useful for any other Plasma widget too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}), kde-wallpapers
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in 
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-applet-lancelot, liblancelot0, liblancelot0a
Conflicts: plasma-applet-lancelot
Description: lancelot widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-kimpanel
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: plasma-widget-kimpanel-backend-ibus
Replaces: plasma-widget-kimpanel-backend-ibus
Description: addons for KDE 4 Plasma - universal input method widget
 Kimpanel is a Plasma widget for the ibus input method.
 .
 This package is part of the KDE plasma addons module.

#Package: plasma-widget-kimpanel-backend-ibus
#Architecture: all
#Section: kde
#Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-qt4, python
#Description: addons for KDE 4 Plasma - universal input method widget
# Kimpanel is a a Plasma widget for the ibus input method.
# .
# This package contains the ibus backend for kimpanel.

Package: plasma-widget-kdeobservatory
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-dataengines-addons (<< 4:4.8.0)
Breaks: plasma-dataengines-addons (<< 4:4.8.0)
Description: addons for KDE 4 Plasma - KDE development tracking tool
 The KDE Observatory Plasma widget is a way to track various metrics of the
 KDE project as a whole, including commit counts, Krazy2 report numbers for
 various KDE modules, and other statistics.
 .
 This package is part of the KDE plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, plasma-widgets-addons (= ${binary:Version}), plasma-dataengines-addons (= ${binary:Version}),
 plasma-runners-addons (= ${binary:Version}), plasma-widget-lancelot (= ${binary:Version}),
 plasma-wallpapers-addons (= ${binary:Version}), kde-workspace-dbg
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.

## kdeplasma-addons 4.8.4

=== wallpapers/CMakeLists.txt ===
add_subdirectory(mandelbrot)
add_subdirectory(pattern)
add_subdirectory(potd)
add_subdirectory(virus)
add_subdirectory(weather)

if(MARBLE_FOUND)
    add_subdirectory(marble)
endif(MARBLE_FOUND)

=== applets/incomingmsg/CMakeLists.txt ===
# Project Needs a name ofcourse
project(plasma-incomingmsg)

# We add our source code here
set(incomingmsg_SRCS incomingmsg.cpp)

# Now make sure all files get to the right place
kde4_add_ui_files(incomingmsg_SRCS widget.ui)
kde4_add_plugin(plasma_applet_incomingmsg ${incomingmsg_SRCS})

target_link_libraries(plasma_applet_incomingmsg
                      ${QT_QTNETWORK_LIBRARY} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_incomingmsg
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-incomingmsg.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== wallpapers/pattern/CMakeLists.txt ===
project(plasma-wallpaper-pattern)

find_package(QImageBlitz REQUIRED)

include_directories(${QIMAGEBLITZ_INCLUDES})

set(pattern_SRCS
    pattern.cpp
)

kde4_add_ui_files(pattern_SRCS config.ui)

kde4_add_plugin(plasma_wallpaper_pattern ${pattern_SRCS})
target_link_libraries(plasma_wallpaper_pattern ${QIMAGEBLITZ_LIBRARIES} ${KDE4_PLASMA_LIBS} ${KDE4_KDECORE_LIBS})

install(TARGETS plasma_wallpaper_pattern DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-wallpaper-pattern.desktop DESTINATION ${SERVICES_INSTALL_DIR})


FILE(GLOB pattern_desktop patterns/*.desktop)
FILE(GLOB pattern_png patterns/*.jpg)
FILE(GLOB pattern_jpg patterns/*.png)

INSTALL(FILES ${pattern_desktop}  ${pattern_png} ${pattern_jpg} DESTINATION ${DATA_INSTALL_DIR}/plasma_wallpaper_pattern/patterns)

=== debian/changelog ===
kdeplasma-addons (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:51:18 +0300

kdeplasma-addons (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Bump various kde build dependecies to 4:4.8:
    - kdelibs5-dev
    - kdepimlibs5-dev
    - kde-workspace-dev
  * Update not-installed files.
  * Update installed files.
  * Add libdbusmenu-qt-dev to build dependecies to support icontasks widget.
  * Remove obsolete lintian override:
    package-name-doesnt-match-sonames libkimpanelruntime0

  [ Pino Toscano ]
  * Add marble-4.7-compat.diff to make the marble plasma wallpaper compile
    also with marble 4.7.
  * Split the kimpanel Plasma widget in an own plasma-widget-kimpanel package.
  * Make plasma-widgets-addons suggest plasma-widget-kimpanel.
  * Update descriptions.
  * Build depend on libibus-1.0-dev to add IBUS support in kimpanel.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Pino Toscano ]
  * Improve the description of plasma-dataengines-addons. (Closes: #674596)

 -- Modestas Vainius <modax@debian.org>  Sun, 27 May 2012 02:38:37 +0300

=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), kdepimlibs5-dev (>= 4:4.8), kde-workspace-dev (>= 4:4.8),
 libkexiv2-dev (>= 4:4.7), libmarble-dev (>= 4:4.7),
 libqt4-opengl-dev, libboost-dev, libqimageblitz-dev, libeigen2-dev, libxrender-dev,
 shared-desktop-ontologies, libattica-dev, libscim-dev, libxtst-dev, libqalculate-dev,
 libqca2-dev, libqtwebkit-dev, libdbusmenu-qt-dev, libibus-1.0-dev
Standards-Version: 3.9.3
Homepage: http://plasma.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeplasma-addons.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: ${misc:Depends}, plasma-widgets-addons (>= ${source:Version}),
 plasma-runners-addons (>= ${source:Version}),
 plasma-widget-lancelot (>= ${source:Version}),
 plasma-wallpapers-addons (>= ${source:Version}),
 plasma-containments-addons (>= ${source:Version})
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}),
Recommends: plasma-widget-lancelot
Suggests: plasma-widget-kimpanel
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Binary Clock
  * Black Board
  * Bookmarks
  * Bouncy Ball
  * Bubblemon
  * Calculator
  * Character Selector
  * Color Picker
  * Comic Strip
  * Dictionary
  * Eyes
  * Fifteen Puzzle
  * File Watcher
  * Fuzzy Clock
  * Icon Tasks
  * Incoming Message
  * Knowledge Base
  * Konqueror Profiles
  * Konsole Profile
  * LCD Weather Station
  * Leave a Note
  * Life
  * Luna
  * Magnifique
  * Media Player
  * Microblogging
  * News
  * Notes
  * Now Playing
  * OpenDesktop.org Community
  * OpenDesktop.org Social News
  * Paste
  * Pastebin
  * Picture Frame
  * Plasmaboard
  * Previewer
  * Qalculate!
  * Remember The Milk
  * RSSNOW
  * Show Widget Dashboard
  * Show Desktop
  * Spell Check
  * System Load Viewer
  * Timer
  * Unit Converter
  * Weather Forecast
  * Web Slice
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-containments-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional containment plugins for Plasma
 This package contains additional Plasma containment plugins. These plugins
 allow the user to layout Plasma widgets in groups.
 .
 Plasma widgets can be added to a group dropping them from the Add Widgets
 Explorer or moving them over the group. If it is necessary (like in the grid
 group) a drop zone will be shown (like the one in the panel).
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some Plasma widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Audio Player Control
  * Calendar Events
  * Contacts
  * Date and Time
  * Kate Sessions
  * KDE TechBase
  * KDE Userbase Documentation
  * Konqueror Sessions
  * Konsole Sessions
  * Kopete Contacts
  * Special Characters
  * Spell Checker
  * Unit Converter
  * Web Browser History
  * Wikipedia
  * Wikitravel
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in 
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Globe (Marble)
  * Mandelbrot
  * Pattern
  * Picture of the day
  * Virus
  * Weather
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-applet-lancelot
Conflicts: plasma-applet-lancelot
Description: lancelot widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-kimpanel
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-widgets-addons (<< 4:4.8.3)
Breaks: plasma-widgets-addons (<< 4:4.8.3)
Description: KIMPanel widget for Plasma
 This package provides the KDE Input Method Panel widget for Plasma.
 .
 This package is part of the KDE Plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, plasma-widgets-addons (= ${binary:Version}), plasma-dataengines-addons (= ${binary:Version}),
 plasma-runners-addons (= ${binary:Version}), plasma-widget-lancelot (= ${binary:Version}),
 plasma-wallpapers-addons (= ${binary:Version}), plasma-widget-kimpanel (= ${binary:Version}), kde-workspace-dbg
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.

## kdeplasma-addons 4.8.5

=== CMakeLists.txt ===
project(kdeplasma-addons)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalDependPackage)

macro_optional_find_package(KDE4Workspace)
macro_log_feature(KDE4WORKSPACE_FOUND "kdebase workspace" "KDE base workspace libraries" "http://www.kde.org" FALSE "" "Needed for building several Plasma plugins")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0.0" "Needed for building microblog dataengine")

macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "KDE PIM libraries" "http://www.kde.org" FALSE "" "Needed for building several Plasma plugins")
find_package(Boost)

set(LIBATTICA_MIN_VERSION "0.1.1")
macro_optional_find_package(LibAttica)
macro_log_feature(LIBATTICA_FOUND "libattica" "Attica Library" "http://websvn.kde.org/trunk/kdesupport/attica/" FALSE "" "Needed for building the Open Collaboration Services plasma dataengine and applets")

macro_optional_find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "API for developing portable, interactive 2D and 3D graphics applications" "http://mesa3d.sourceforge.net" FALSE "" "STRONGLY RECOMMENDED: The 3D hardware acceleration available through the OpenGL API is used in applications ranging from graphics and modellers to screensavers and video players.")

macro_optional_find_package(Nepomuk)
macro_log_feature(NEPOMUK_FOUND "Nepomuk" "Handles all kinds of metadata on the KDE desktop to provide a semantic desktop" "http://nepomuk.kde.org/" FALSE "" "STRONGLY_RECOMMENDED: Nepomuk is used to provide metadata on objects like files, emails etc. to provide a semantic desktop.")
macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)

macro_optional_depend_package(Marble "Marble")
if (DEPEND_PACKAGE_Marble)
  macro_optional_find_package(Marble)
else (DEPEND_PACKAGE_Marble)
  set (MARBLE_FOUND FALSE)
endif (DEPEND_PACKAGE_Marble)
macro_log_feature(MARBLE_FOUND "Marble" "Desktop Globe" "http://marble.kde.org" FALSE "" "RECOMMENDED: Marble is used to provide a desktop globe wallpaper for Plasma.")

macro_optional_find_package(DBusMenuQt)
macro_log_feature(DBUSMENUQT_FOUND "DBusMenuQt" "DBusMenu Qt" "https://launchpad.net/libdbusmenu-qt/" FALSE "" "Needed for Unity support in IconTasks.")

if (NEPOMUK_FOUND)
  include_directories( ${SOPRANO_INCLUDE_DIR} ${NEPOMUK_INCLUDE_DIR} )
endif (NEPOMUK_FOUND)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${KDE4_INCLUDES}
                     ${KDE4WORKSPACE_INCLUDE_DIR}
                     ${KDEPIMLIBS_INCLUDE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}/libs)

add_subdirectory(libs)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(runners)
add_subdirectory(scriptengines)
add_subdirectory(wallpapers)
add_subdirectory(containments)
add_subdirectory(cmake)

macro_display_feature_log()

=== libs/CMakeLists.txt ===

add_subdirectory(plasmaweather)
add_subdirectory(rtm)
add_subdirectory(lancelot)

if(NOT WIN32 AND KDE4WORKSPACE_FOUND)
   add_subdirectory(lancelot-datamodels)
endif(NOT WIN32 AND KDE4WORKSPACE_FOUND)

=== applets/weather/CMakeLists.txt ===
project(weatherapplet)

set(weatherapplet_SRCS
    weatherapplet.cpp
    weatherview.cpp
    weatherdelegate.cpp)

kde4_add_plugin(plasma_applet_weather ${weatherapplet_SRCS})
target_link_libraries(plasma_applet_weather ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} plasmaweather ${KDE4WORKSPACE_WEATHERION_LIBRARY} ${QT_QTWEBKIT_LIBRARY} ${KDE4_KUNITCONVERSION_LIBS})

install(TARGETS plasma_applet_weather DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-weather.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
        wind-arrows.svgz
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/weather/)

=== applets/webslice/CMakeLists.txt ===
project(webslice)

include_directories( ${QT_INCLUDES} )



set(webslice_SRCS
    main.cpp
    kgraphicswebslice.cpp
    kwebslice.cpp
)

KDE4_ADD_EXECUTABLE(webslice ${webslice_SRCS})

target_link_libraries(webslice
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTSCRIPT_LIBRARY}
)

add_subdirectory(plasma)

=== debian/changelog ===
kdeplasma-addons (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:49:57 +0200

kdeplasma-addons (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:37:47 +0200

kdeplasma-addons (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 15:21:14 +0200

=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), kde-workspace-dev (>= 4:4.8.1),
 libkexiv2-dev (>= 4:4.8.1), libmarble-dev (>= 4:4.8.1),
 libqt4-opengl-dev, libboost1.46-dev, libqimageblitz-dev, libeigen2-dev, libxrender-dev,
 shared-desktop-ontologies, libattica-dev, libxtst-dev, libqalculate-dev,
 libqca2-dev, libqtwebkit-dev, libqwt-dev, libglib2.0-dev, shared-mime-info,
 libdbusmenu-qt-dev
Standards-Version: 3.9.2
Homepage: http://plasma.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeplasma-addons
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeplasma-addons.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeplasma-addons.git

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: ${misc:Depends}, plasma-widgets-addons (>= ${source:Version}),
 plasma-runners-addons (>= ${source:Version}),
 plasma-widget-lancelot (>= ${source:Version}),
 plasma-wallpapers-addons (>= ${source:Version}),
 plasma-containments-addons (>= ${source:Version})
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}),
Suggests: plasma-widget-lancelot
Replaces: plasma-widget-system-status, plasma-engine-kdeobservatory (<< 4.8.0),
 plasma-widget-icon-tasks
Breaks: plasma-widget-system-status, plasma-engine-kdeobservatory (<< 4.8.0),
 plasma-widget-icon-tasks
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-containments-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional containment plugins for Plasma
 This package contains additional Plasma containment plugins. These plugins
 allow the user to layout Plasma widgets in groups.
 .
 Plasma widgets can be added to a group dropping them from the Add Widgets
 Explorer or moving them over the group. If it is necessary (like in the grid
 group) a drop zone will be shown (like the one in the panel).
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<< 4:4.4.60), plasma-widgets-addons (<< 4:4.4.60)
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some plasma widgets
 Plasma widgets, but they may be useful for any other Plasma widget too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}), kde-wallpapers
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in 
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-applet-lancelot, liblancelot0, liblancelot0a
Conflicts: plasma-applet-lancelot
Description: lancelot widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-kimpanel
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: plasma-widget-kimpanel-backend-ibus
Replaces: plasma-widget-kimpanel-backend-ibus
Description: addons for KDE 4 Plasma - universal input method widget
 Kimpanel is a Plasma widget for the ibus input method.
 .
 This package is part of the KDE plasma addons module.

#Package: plasma-widget-kimpanel-backend-ibus
#Architecture: all
#Section: kde
#Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-qt4, python
#Description: addons for KDE 4 Plasma - universal input method widget
# Kimpanel is a a Plasma widget for the ibus input method.
# .
# This package contains the ibus backend for kimpanel.

Package: plasma-widget-kdeobservatory
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-dataengines-addons (<< 4:4.8.0)
Breaks: plasma-dataengines-addons (<< 4:4.8.0)
Description: addons for KDE 4 Plasma - KDE development tracking tool
 The KDE Observatory Plasma widget is a way to track various metrics of the
 KDE project as a whole, including commit counts, Krazy2 report numbers for
 various KDE modules, and other statistics.
 .
 This package is part of the KDE plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, plasma-widgets-addons (= ${binary:Version}), plasma-dataengines-addons (= ${binary:Version}),
 plasma-runners-addons (= ${binary:Version}), plasma-widget-lancelot (= ${binary:Version}),
 plasma-wallpapers-addons (= ${binary:Version}), kde-workspace-dbg
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,12 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=kdeplasma-addons-dbg
 
+#override_dh_install:
+#	mkdir -p $(CURDIR)/debian/tmp/usr/lib/ibus/
+#	cp $(CURDIR)/applets/kimpanel/backend/ibus/panel.py \
+#		$(CURDIR)/debian/tmp/usr/lib/ibus/ibus-ui-kde
+#	$(overridden_command)
+
 override_dh_auto_clean:
 	$(overridden_command)
 	find applets/lancelot/tools/puck -name *.pyc -delete
